# Generated from estated-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name estated

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: Ruby client for Estated API: https://estated.com/developers/docs/v4
License: MIT
URL: https://github.com/navut/estated-ruby-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(dotenv)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
Ruby client for Estated API: https://estated.com/developers/docs/v4.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.env.sample
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/estated.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.4.1-1
- Initial package
